Create URL to download error details for an uploaded file - Fabric
Create URL to download error details for an uploaded file
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/inventory/aws/download-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '\n{\n "fileName": "45162930812_inventory"\n}\n'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/aws/download-url"
payload = { "fileName": "45162930812_inventory" }
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fileName: '45162930812_inventory'})
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/aws/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 200: Success, returns the URL to download the error details.
- 400: Invalid request payload or parameter.
- 404: Resource not found.
- 500: Internal server error.
Response Examples
Success Response
{
"keyId": "981628612_inventory",
"url": "https://url.com/qwertyuioplkjhgfds"
}
Error Responses
Invalid Request
{
"message": "Invalid request payload or parameter"
}
Resource Not Found
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
Internal Error
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
- Authorization:
Bearer <token>- Required Bearer authentication header.
Headers
- x-site-context: A JSON object containing information about the source to pull from. It must include an
account, and may optionally includechannel,stage, anddateattributes.
Body
- fileName: The name of the file to be uploaded (e.g.,
"45162930812_inventory").